Pro Tools on Mac

02006-02-11 | Uncategorized | 2 comments

The new ProTools HD 7 release requires Tiger (10.4+)
The last ProTools HD 6.9 update for Panther (10.3.9) is ProTools 6.9.1cs3

The latest G5 towers from Apple don’t use the same PCI board, which means if you were to buy a G5 computer that is newer than October 2005 you would also have to buy an external PCI card box to house the ProTools HD or HD Accel cards.

In other words, I am going to stick with what I have (G4 Dual 1.25 running 10.3.9 and PT 6.9.1cs3) until I am done with the next album, i.e. until the end of this calendar year or maybe even into Spring of 2007. By then Apple will have a new G6 Intel tower and DigiDesign will have an Intel Mac version of ProTools and the bugs will have been worked out.

2 Comments

  1. R. Soto

    Sounds like a plan to me… and a good one.

    Reply
  2. lafilmsound

    not only that the new pcie cards have less processing power with an hd3 system.

    Try Nuendo just a thought

    Reply

Submit a Comment

Your email address will not be published.

Archives

Images